zenilib: zenilib/jni/external/sdl/src/audio/SDL_audio_c.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Functions | Variables
SDL_audio_c.h File Reference
`#include "SDL_config.h"`

Go to the source code of this file.

## Classes

struct | SDL_AudioRateFilters
struct | SDL_AudioTypeFilters

## Functions

void | SDL_CalculateAudioSpec (SDL_AudioSpec *spec)
SDL_AudioFormat | SDL_FirstAudioFormat (SDL_AudioFormat format)
SDL_AudioFormat | SDL_NextAudioFormat (void)
int SDLCALL | SDL_RunAudio (void *audiop)

## Variables

const SDL_AudioRateFilters | sdl_audio_rate_filters []
const SDL_AudioTypeFilters | sdl_audio_type_filters []

## Function Documentation

void SDL_CalculateAudioSpec | ( | SDL_AudioSpec * | spec | ) |

Definition at line 1247 of file SDL_audio.c.

References AUDIO_U8, SDL_AudioSpec::channels, SDL_AudioSpec::format, SDL_AudioSpec::samples, SDL_AUDIO_BITSIZE, SDL_AudioSpec::silence, and SDL_AudioSpec::size.

Referenced by open_audio_device(), prepare_audiospec(), and prepare_audiounit().

SDL_AudioFormat SDL_FirstAudioFormat | ( | SDL_AudioFormat | format | ) |

Definition at line 1226 of file SDL_audio.c.

References format_idx, NUM_FORMATS, and SDL_NextAudioFormat().

Referenced by COREAUDIO_OpenDevice().

SDL_AudioFormat SDL_NextAudioFormat | ( | void |  | ) |

Definition at line 1238 of file SDL_audio.c.

References NUM_FORMATS.

Referenced by SDL_FirstAudioFormat().

int SDLCALL SDL_RunAudio | ( | void * | audiop | ) |

Definition at line 312 of file SDL_audio.c.

References SDL_AudioCVT::buf, SDL_AudioSpec::callback, SDL_AudioDevice::convert, SDL_AudioDevice::enabled, SDL_AudioDevice::fake_stream, SDL_AudioSpec::freq, SDL_AudioDriverImpl::GetDeviceBuf, SDL_AudioDriver::impl, int, SDL_AudioCVT::len, SDL_AudioCVT::len_cvt, SDL_AudioCVT::len_mult, SDL_AudioDevice::mixer_lock, SDL_AudioCVT::needed, NULL, SDL_AudioDevice::paused, SDL_AudioDriverImpl::PlayDevice, SDL_AudioSpec::samples, SDL_ConvertAudio(), SDL_Delay(), SDL_LockMutex(), SDL_memcpy(), SDL_memset(), SDL_SetThreadPriority(), SDL_StreamDeinit(), SDL_StreamLength(), SDL_StreamRead(), SDL_StreamWrite(), SDL_THREAD_PRIORITY_HIGH, SDL_ThreadID(), SDL_UnlockMutex(), SDLCALL, SDL_AudioSpec::silence, SDL_AudioSpec::size, SDL_AudioDevice::spec, SDL_AudioDevice::streamer, SDL_AudioDevice::threadid, SDL_AudioDriverImpl::ThreadInit, SDL_AudioDevice::use_streamer, SDL_AudioSpec::userdata, SDL_AudioDriverImpl::WaitDevice, SDL_AudioDriverImpl::WaitDone, and while().

Referenced by open_audio_device().

## Variable Documentation

const SDL_AudioRateFilters sdl_audio_rate_filters[]

Definition at line 15702 of file SDL_audiotypecvt.c.

Referenced by SDL_BuildAudioResampleCVT().

const SDL_AudioTypeFilters sdl_audio_type_filters[]

Definition at line 2195 of file SDL_audiotypecvt.c.

Referenced by SDL_BuildAudioTypeCVT().